## org.eclipse.emf.compare.ui.team
Class AbstractResolvingURIConverter

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.ExtensibleURIConverterImpl
          org.eclipse.emf.compare.ui.team.AbstractResolvingURIConverter

All Implemented Interfaces:
  org.eclipse.emf.ecore.resource.URIConverter

    public abstract class AbstractResolvingURIConverter

extends org.eclipse.emf.ecore.resource.impl.ExtensibleURIConverterImpl

A converter, which performs automatic resolving of relative resources during normalization.

Since:
  1.1

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.resource.impl.ExtensibleURIConverterImpl
`org.eclipse.emf.ecore.resource.impl.ExtensibleURIConverterImpl.ContentHandlerList, org.eclipse.emf.ecore.resource.impl.ExtensibleURIConverterImpl.URIHandlerList, org.eclipse.emf.ecore.resource.impl.ExtensibleURIConverterImpl.URIMap`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.URIConverter
`org.eclipse.emf.ecore.resource.URIConverter.Cipher, org.eclipse.emf.ecore.resource.URIConverter.Readable, org.eclipse.emf.ecore.resource.URIConverter.ReadableInputStream, org.eclipse.emf.ecore.resource.URIConverter.Writeable, org.eclipse.emf.ecore.resource.URIConverter.WriteableOutputStream`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.resource.impl.ExtensibleURIConverterImpl
`contentHandlers, uriHandlers, uriMap`

Fields inherited from interface org.eclipse.emf.ecore.resource.URIConverter
`ATTRIBUTE_ARCHIVE, ATTRIBUTE_DIRECTORY, ATTRIBUTE_EXECUTABLE, ATTRIBUTE_HIDDEN, ATTRIBUTE_LENGTH, ATTRIBUTE_READ_ONLY, ATTRIBUTE_TIME_STAMP, INSTANCE, NULL_TIME_STAMP, OPTION_REQUESTED_ATTRIBUTES, OPTION_RESPONSE, OPTION_URI_CONVERTER, RESPONSE_TIME_STAMP_PROPERTY, URI_MAP`

Constructor Summary
`AbstractResolvingURIConverter()`

Method Summary
`org.eclipse.emf.common.util.URI` `normalize(org.eclipse.emf.common.util.URI uri)`
`protected abstract org.eclipse.emf.common.util.URI` `resolve(org.eclipse.emf.common.util.URI relativeUri)` Called to delegate resvoling of a given relative uri to an absolute one.

Methods inherited from class org.eclipse.emf.ecore.resource.impl.ExtensibleURIConverterImpl
`contentDescription, createInputStream, createInputStream, createOutputStream, createOutputStream, delete, exists, getAttributes, getContentHandlers, getInternalURIMap, getURIHandler, getURIHandlers, getURIMap, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractResolvingURIConverter

    public AbstractResolvingURIConverter()

Method Detail

### normalize

    public org.eclipse.emf.common.util.URI normalize(org.eclipse.emf.common.util.URI uri)

  Specified by:
    `normalize` in interface `org.eclipse.emf.ecore.resource.URIConverter`
  Overrides:
    `normalize` in class `org.eclipse.emf.ecore.resource.impl.ExtensibleURIConverterImpl`
  See Also:
    `ExtensibleURIConverterImpl.normalize(org.eclipse.emf.common.util.URI)`

### resolve

    protected abstract org.eclipse.emf.common.util.URI resolve(org.eclipse.emf.common.util.URI relativeUri)
                                                        throws org.eclipse.core.runtime.CoreException

  Called to delegate resvoling of a given relative uri to an absolute one.

  Parameters:
    `relativeUri` - the relative uri to resolve.
  Returns:
    the resolved absolute uri
  Throws:
    `org.eclipse.core.runtime.CoreException` - in case resolving could not be successfully performed.

Copyright 2006 IBM Corporation and others. All Rights Reserved.